Bug 118600 - SDL_endian.h uses private kernel header(s)
Summary: SDL_endian.h uses private kernel header(s)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL_net   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-18 02:11 UTC by long
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-31 09:50:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description long 2004-03-18 02:11:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Demo program:

#include <SDL/SDL_net.h>

int main() {
  int a;

  a = 1;
}

produces this warning:

[long@jett ~/src]$ make sdl
cc     sdl.c   -o sdl
In file included from /usr/include/SDL/SDL_endian.h:60,
                 from /usr/include/SDL/SDL_net.h:29,
                 from sdl.c:1:
/usr/include/asm/byteorder.h:6:2: warning: #warning using private
kernel header; include <endian.h> instead!


Version-Release number of selected component (if applicable):
SDL_net-devel-1.2.4-8

How reproducible:
Always

Steps to Reproduce:
1. Read problem description.
2.
3.
    

Actual Results:  Read problem description.


Expected Results:  No warning message.


Additional info:

Comment 1 Thomas Woerner 2004-03-31 09:50:11 UTC
Fixed in rawhide in rpm SDL-1.2.7-3.


Note You need to log in before you can comment on or make changes to this bug.